GenerateBuildDashboard (Gradle API 9.2.0)
Description: declaration: package: org.gradle.api.reporting, class: GenerateBuildDashboard

Package org.gradle.api.reporting

# Class GenerateBuildDashboard

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.reporting.GenerateBuildDashboard

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<BuildDashboardReports>`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateBuildDashboard extends DefaultTask implements Reporting<BuildDashboardReports>
Generates build dashboard report.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateBuildDashboard()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `aggregate(Reporting<? extends ReportContainer<?>>... reportings)`
  Configures which reports are to be aggregated in the build dashboard report generated by this task.
  `Set<org.gradle.api.reporting.GenerateBuildDashboard.ReportState>`
  `getInputReports()`
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  `BuildDashboardReports`
  `getReports()`
  The reports to be generated by this task.
  `BuildDashboardReports`
  `reports(Closure closure)`
  Configures the reports to be generated by this task.
  `BuildDashboardReports`
  `reports(Action<? super BuildDashboardReports> configureAction)`
  Configures the reports to be generated by this task.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateBuildDashboard

    public GenerateBuildDashboard()

- ## Method Details

  - ### getInputReports

    @Input public Set<org.gradle.api.reporting.GenerateBuildDashboard.ReportState> getInputReports()

  - ### aggregate

    @SafeVarargs public final void aggregate(Reporting<? extends ReportContainer<?>>... reportings)
    Configures which reports are to be aggregated in the build dashboard report generated by this task.

         buildDashboard {
           aggregate codenarcMain, checkstyleMain
         }

    Parameters:
      `reportings` - an array of `Reporting` instances that are to be aggregated

  - ### getReports

    public BuildDashboardReports getReports()
    The reports to be generated by this task.
    Specified by:
      `getReports` in interface `Reporting<BuildDashboardReports>`
    Returns:
      The reports container

  - ### reports

    public BuildDashboardReports reports(Closure closure)
    Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

         buildDashboard {
           reports {
             html {
               destination "build/dashboard.html"
             }
           }
         }

    Specified by:
      `reports` in interface `Reporting<BuildDashboardReports>`
    Parameters:
      `closure` - The configuration
    Returns:
      The reports container

  - ### reports

    public BuildDashboardReports reports(Action<? super BuildDashboardReports> configureAction)
    Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

         buildDashboard {
           reports {
             html {
               destination "build/dashboard.html"
             }
           }
         }

    Specified by:
      `reports` in interface `Reporting<BuildDashboardReports>`
    Parameters:
      `configureAction` - The configuration
    Returns:
      The reports container

  - ### getObjectFactory

    @Inject protected abstract ObjectFactory getObjectFactory()